<?php
// Must Read Posts Options.
$wp_customize->add_section(
    'home_page_must_read_options',
    array(
        'title' => __('Must Read Section', 'newsmaster'),
        'panel' => 'front_page_theme_options_panel',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_must_reads]',
    array(
        'default' => $newsmaster_default['enable_must_reads'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_must_reads]',
    array(
        'label' => __('Enable Must Read', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newsmaster_options[must_read_title]',
    array(
        'default'           => $newsmaster_default['must_read_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_read_title]',
    array(
        'label'    => __( 'Section Title', 'newsmaster' ),
        'section'  => 'home_page_must_read_options',
        'type'     => 'text',
    )
);
// Must Read Posts Category.
$wp_customize->add_setting(
    'newsmaster_options[must_read_cat]',
    array(
        'default' => $newsmaster_default['must_read_cat'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new NewsMaster_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newsmaster_options[must_read_cat]',
        array(
            'label' => __('Choose Must Read category', 'newsmaster'),
            'section' => 'home_page_must_read_options',
        )
    )
);
// No of posts.
$wp_customize->add_setting(
    'newsmaster_options[no_of_must_reads]',
    array(
        'default' => $newsmaster_default['no_of_must_reads'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[no_of_must_reads]',
    array(
        'label' => __('Number of Posts', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'number',
    )
);

// No of posts offset.
$wp_customize->add_setting(
    'newsmaster_options[must_reads_number_of_post_offsets]',
    array(
        'default' => $newsmaster_default['must_reads_number_of_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_reads_number_of_post_offsets]',
    array(
        'label' => __('Post Offset Number', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'number',
    )
);

// Posts Orderby.
$wp_customize->add_setting(
    'newsmaster_options[must_read_orderby]',
    array(
        'default' => $newsmaster_default['must_read_orderby'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_read_orderby]',
    array(
        'label' => __('Orderby', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => array(
            'date' => __('Date', 'newsmaster'),
            'id' => __('ID', 'newsmaster'),
            'title' => __('Title', 'newsmaster'),
            'rand' => __('Random', 'newsmaster'),
        ),
    )
);
// Posts Order.
$wp_customize->add_setting(
    'newsmaster_options[must_read_order]',
    array(
        'default' => $newsmaster_default['must_read_order'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_read_order]',
    array(
        'label' => __('Order', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => array(
            'asc' => __('ASC', 'newsmaster'),
            'desc' => __('DESC', 'newsmaster'),
        ),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_must_read_author_meta]',
    array(
        'default' => $newsmaster_default['enable_must_read_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_must_read_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_must_read_author_meta]',
    array(
        'default' => $newsmaster_default['select_must_read_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => newsmaster_author_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[must_read_author_meta_title]',
    array(
        'default' => $newsmaster_default['must_read_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_read_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_must_read_date_meta]',
    array(
        'default' => $newsmaster_default['enable_must_read_date_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_must_read_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_must_read_date]',
    array(
        'default' => $newsmaster_default['select_must_read_date'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => newsmaster_date_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_must_read_date_meta_title]',
    array(
        'default' => $newsmaster_default['select_must_read_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_must_read_date_format]',
    array(
        'default' => $newsmaster_default['select_must_read_date_format'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => newsmaster_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_must_read_category_meta]',
    array(
        'default' => $newsmaster_default['enable_must_read_category_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_must_read_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_must_read_number_of_category]',
    array(
        'default' => $newsmaster_default['select_must_read_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_number_of_category]',
    array(
        'label' => __('Number of Category', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[must_read_category_label]',
    array(
        'default' => $newsmaster_default['must_read_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[must_read_category_label]',
    array(
        'label' => __('Category Label', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'newsmaster_options[select_must_read_category_color]',
    array(
        'default' => $newsmaster_default['select_must_read_category_color'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_must_read_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'newsmaster'),
        'section' => 'home_page_must_read_options',
        'type' => 'select',
        'choices' => newsmaster_category_color(),
    )
);
